﻿using System;

namespace Kreta.Framework.Entities
{
    /// <summary>
    /// Entitást jelző attribútum.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
    public sealed class EntityAttribute : Attribute
    {
        private string m_Name;

        /// <summary>
        /// Az attribútum konstruktora.
        /// </summary>
        /// <param name="name">Az entitás neve</param>
        public EntityAttribute(string name)
        {
            m_Name = name;
        }

        /// <summary>
        /// Az entitás neve.
        /// </summary>
        public string Name
        {
            get
            {
                return m_Name;
            }
        }
    }
}
