﻿using System;
using Kreta.Framework.Localization;

namespace Kreta.Framework.Entities
{
    /// <summary>
    /// Érvénytelen entitás attribútum hibakódjai, az <see cref="InvalidEntityAttributeException"/> kivétel használja.
    /// </summary>
    [Serializable]
    public enum EntityAttributeError
    {
        /// <summary>
        /// Érvénytelen
        /// </summary>
        [FriendlyName(1000032, "érvénytelen")]
        Unknown = 0,

        /// <summary>
        /// Értéke túl hosszú
        /// </summary>
        [FriendlyName(1000033, "értéke túl hosszú")]
        TooLong,

        /// <summary>
        /// Nincs kitöltve
        /// </summary>
        [FriendlyName(1000034, "nincs kitöltve")]
        Empty,

        /// <summary>
        /// Nem megfelelő formátumú
        /// </summary>
        [FriendlyName(1000035, "nem megfelelő formátumú")]
        WrongFormat,

        /// <summary>
        /// Értéke túl nagy vagy túl kicsi
        /// </summary>
        [FriendlyName(1000036, "értéke túl nagy vagy túl kicsi")]
        OutOfRange,

        /// <summary>
        /// Értéke nem megengedett
        /// </summary>
        [FriendlyName(1000037, "értéke nem megengedett")]
        NotAllowed,

        /// <summary>
        /// Értéke inkonzinsztens
        /// </summary>
        [FriendlyName(1000038, "értéke inkonzinsztens")]
        Inconsistent,
    }
}
