﻿using System;
using System.Runtime.Serialization;
using Kreta.Framework.Localization;
using Kreta.Framework.Logging;

namespace Kreta.Framework.Entities
{
    /// <summary>
    /// Entitás kivételek absztrakt ősosztálya.
    /// </summary>
    [ErrorCode(Events.ENTITY_GENERAL)]
    [FriendlyName(1000017, "Ismeretlen entitáshiba történt, kérjük értesítse az üzemeltetőt.\r\nHivatkozási hiba azonosító: {Id}")]
    [Serializable]
    public abstract class EntityException : FrameworkException
    {
        const string _errorMessage = "Unknown entity error occurred.";

        /// <summary>
        /// Az osztály alapértelmezett konstruktora.
        /// </summary>
        protected EntityException()
            : base(_errorMessage) { }

        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="message">A kivétel üzenete</param>
        protected EntityException(string message)
            : base(message) { }

        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="message">A kivétel üzenete</param>
        /// <param name="innerException">A belső kivétel</param>
        protected EntityException(string message, Exception innerException)
            : base(message, innerException) { }

        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="info">Sorosítási adatok</param>
        /// <param name="context">Sorosítási adatfolyam</param>
        protected EntityException(SerializationInfo info, StreamingContext context)
            : base(info, context) { }
    }
}
